Creating a Rails 5.2 app in 2018

rails -v
if not 5.2 -> gem install rails -v 5.2.0
ruby -v
if not 2.4.0 -> rbenv install 2.4.0
rails new myapp — database=postgresql
bundle install
bundle exec rake db:create
bundle exec rake db:migrate
bundle exec rails server

Yay! You're on Rails!

rails g scaffold post title:string content:text --no-assets --no-stylesheets --no-fixture --no-test-framework --no-helper --no-jbuilder

Then, follow this:

Oops! You forgot to configure storage.yml locally:

Make it mobile!

#app/views/layouts/application.html.erb
<meta name="viewport" content="width=device-width; initial-scale=1.0; maximum-scale=1.0;">